org.apache.fop.layoutmgr.table

## Class CollapsingBorderModelEyeCatching

- java.lang.Object
- - org.apache.fop.layoutmgr.table.CollapsingBorderModel
  - - org.apache.fop.layoutmgr.table.CollapsingBorderModelEyeCatching

    public class CollapsingBorderModelEyeCatching
    extends CollapsingBorderModel

Implements the normal "collapse" border model defined in 6.7.10 in XSL 1.0. TODO Column groups are not yet checked in this algorithm!

### Field Summary

### Fields inherited from class org.apache.fop.layoutmgr.table.CollapsingBorderModel

`AFTER, BEFORE, END, START`

### Constructor Summary

Constructors
Constructor and Description
`CollapsingBorderModelEyeCatching()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BorderSpecification` `determineWinner(BorderSpecification border1, BorderSpecification border2)` Returns the border which wins the border conflict resolution.
`BorderSpecification` `determineWinner(BorderSpecification border1, BorderSpecification border2, boolean discard)` Returns the border which wins the border conflict resolution.

### Methods inherited from class org.apache.fop.layoutmgr.table.CollapsingBorderModel

`getBorderModelFor, getOtherSide, isVerticalRelation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CollapsingBorderModelEyeCatching

    public CollapsingBorderModelEyeCatching()

### Method Detail

#### determineWinner

    public BorderSpecification determineWinner(BorderSpecification border1,
                                               BorderSpecification border2,
                                               boolean discard)

Returns the border which wins the border conflict resolution. In case the two borders are equivalent (identical, or only the color is different), null is returned.

Specified by:
  `determineWinner` in class `CollapsingBorderModel`
Parameters:
  `border1` - a border specification
  `border2` - another border specification
  `discard` - true if the .conditionality component of the border width must be taken into account
Returns:
  the winning border, null if the two borders are equivalent

#### determineWinner

    public BorderSpecification determineWinner(BorderSpecification border1,
                                               BorderSpecification border2)

Returns the border which wins the border conflict resolution. Same as `determineWinner(border1, border2, false)`.

Specified by:
  `determineWinner` in class `CollapsingBorderModel`
Parameters:
  `border1` - a border specification
  `border2` - another border specification
Returns:
  the winning border, null if the two borders are equivalent
See Also:
  `CollapsingBorderModel.determineWinner(BorderSpecification,BorderSpecification,boolean)`